## ros-melodic-pr2-gazebo 2.0.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_gazebo)

find_package(catkin REQUIRED)

catkin_package()

# Install Gazebo Scripts
install(
  PROGRAMS
    scripts/pr2_fingertip_pressure_contact_translator.py
    scripts/pr2_simulate_torso_spring.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install Gazebo launch files
install(
  DIRECTORY
    config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(
  DIRECTORY
    launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

# Install some gazebo test models
install(
  DIRECTORY
    urdf/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/urdf
)

# testing
if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest roslaunch)
  roslaunch_add_file_check(launch/pr2_empty_world.launch)

  set(ENV{ROSDEP_SOURCE_PATH} /tmp/)
  execute_process(COMMAND rosdep resolve rostest RESULT_VARIABLE rosdep_result)
  if(rosdep_result)
    message(STATUS "rosdep is not initialized, run rosdep init and update, please wait for a moment...")
    execute_process(COMMAND rosdep init)
    execute_process(COMMAND rosdep update)
  endif()

  add_rostest(test/collisions/test_slide.launch)

  add_rostest(test/mechanism_controllers/test_base.launch)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo") # indigo does not have tuck_arms_main.py in deb package
    add_rostest(test/mechanism_controllers/test_arm.launch)
  endif()
  add_rostest(test/mechanism_controllers/hztest_pr2_mechanism.launch)
  add_rostest(test/mechanism_controllers/hztest_rostime.launch)
  add_rostest(test/mechanism_controllers/hztest_pr2_odom.launch)

  add_rostest(test/sensors/test_scan.launch)
  add_rostest(test/sensors/hztest_pr2_scan.launch)

  if("$ENV{ROS_DISTRO}" STRGREATER "lunar") # indigo,kinetic,lunar does could not run image test on travis
    add_rostest(test/sensors/test_camera.launch)
    add_rostest(test/sensors/hztest_pr2_image.launch)
    add_rostest(test/sensors/hztest_pr2_stereo.launch)
  endif()

  add_rostest(test/spawn_test/test_pr2_spawn_with_offset.launch)
endif()

=== debian/changelog ===
ros-melodic-pr2-gazebo (2.0.14-0stretch) stretch; urgency=high

  * Merge pull request #146 <https://github.com/PR2/pr2_simulator/issues/146> from k-okada/fix_stretch
    remove gazebo depends
  * use custom empty.world which does not require downloading models
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 28 Apr 2019 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.13-0stretch) stretch; urgency=high

  * enable test code in pr2_simulator (#145 <https://github.com/PR2/pr2_simulator/issues/145>)
  * pr2_no_controllers.launch: remove deprecated --ros_namespace /gazebo. This is not used long time, but using argparse cache this error. https://github.com/ros-simulation/gazebo_ros_pkgs/commit/46ac000ea34d006d9f37a2392c2146bbd9e6d1be
  * package.xml: add more run_depend and test_depend, also export gazebo_model_path
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 23 Apr 2019 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.12-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 07 Apr 2019 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.11-0stretch) stretch; urgency=high

  * Merge pull request #142 <https://github.com/PR2/pr2_simulator/issues/142> from pushkalkatara/kinetic-devel
    Issue #141 <https://github.com/PR2/pr2_simulator/issues/141>
  * Issue #141 <https://github.com/PR2/pr2_simulator/issues/141>
  * Contributors: Kei Okada, Pushkal Katara

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Aug 2018 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.10-0stretch) stretch; urgency=high

  * Merge pull request (#139 <https://github.com/pr2/pr2_simulator/issues/139>)
    remove find_package(gazebo), to solve -pthread linking errors
  * remove find_package(gazebo), to sovle -pthread linking errors
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Mar 2018 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.9-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Feb 2018 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.8-0stretch) stretch; urgency=high

  * Merge pull request #135 <https://github.com/pr2/pr2_simulator/issues/135> from k-okada/kinetic-devel
    fix more cmake warnings
  * fix compile error on catkin_package() DEPENDS on 'SDF' but neither 'SDF_INCLUDE_DIRS' nor...
  * Merge pull request #134 <https://github.com/pr2/pr2_simulator/issues/134> from furushchev/arg-kinect
    pr2_gazebo: add arg KINECT
  * Merge pull request #133 <https://github.com/pr2/pr2_simulator/issues/133> from k-okada/125
    Removed repeated arg "gui", see https://github.com/PR2/pr2_simulator/pull/125
  * Merge pull request #132 <https://github.com/pr2/pr2_simulator/issues/132> from furushchev/headless
    [pr2_gazebo/launch/pr2_empty_world.launch] add headless/debug arguments for gazebo
  * Merge pull request #131 <https://github.com/pr2/pr2_simulator/issues/131> from MatthewRueben/hydro-devel
    Rename "gazebo" package to "gazebo_ros"
  * Merge pull request #128 <https://github.com/pr2/pr2_simulator/issues/128> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * Removed repeated arg "gui", see https://github.com/PR2/pr2_simulator/pull/125
  * change maintainer to ROS orphaned package maintainer
  * pr2_gazebo: add arg KINECT
  * [pr2_gazebo/launch/pr2_empty_world.launch] add headless/debug argument for gazebo
  * Merge pull request #118 <https://github.com/pr2/pr2_simulator/issues/118> from PR2/revert-117-indigo-devel
    Revert "Added argument passing for Kinect2"
  * Revert "Added argument passing for Kinect2"
  * Merge pull request #117 <https://github.com/pr2/pr2_simulator/issues/117> from archielee/indigo-devel
    Added argument passing for Kinect2
  * Added argument passing for Kinect2
  * Changed all instances of "gazebo" package to "gazebo_ros". The "gazebo" package was renamed "gazebo_ros" in hydro.
  * Contributors: Devon Ash, Furushchev, Kei Okada, Yuki Furuta, archielee, elliot

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.5-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 12 Mar 2015 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.4-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 15:00:00 -0000

ros-melodic-pr2-gazebo (2.0.3-0stretch) stretch; urgency=high

  * Changelogs
  * Changelogs
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash
  * Changelogs
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash
  * Bug fix thanks to vovakkk @github
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 06 Oct 2014 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-gazebo
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), gazebo7, ros-melodic-catkin, ros-melodic-gazebo-plugins, ros-melodic-pr2-gazebo-plugins, ros-melodic-pr2-machine, ros-melodic-pr2-tuckarm, ros-melodic-rostest
Homepage: http://ros.org/wiki/pr2_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-pr2-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-melodic-diagnostic-aggregator, ros-melodic-fingertip-pressure, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-geometry-msgs, ros-melodic-image-proc, ros-melodic-joint-trajectory-action, ros-melodic-pr2-controller-configuration-gazebo, ros-melodic-pr2-controller-manager, ros-melodic-pr2-dashboard-aggregator, ros-melodic-pr2-description, ros-melodic-pr2-gazebo-plugins, ros-melodic-pr2-gripper-action, ros-melodic-pr2-head-action, ros-melodic-pr2-mechanism-controllers, ros-melodic-pr2-msgs, ros-melodic-robot-mechanism-controllers, ros-melodic-robot-pose-ekf, ros-melodic-robot-state-publisher, ros-melodic-rospy, ros-melodic-rostopic, ros-melodic-single-joint-position-action, ros-melodic-std-msgs, ros-melodic-stereo-image-proc, ros-melodic-tf2-ros, ros-melodic-topic-tools, ros-melodic-xacro
Description: Launch scripts for simulating the PR2 in gazebo.
 The simulation equivalent of pr2.launch is found here. pr2_fingertip_pressure_contact_translator produces the same ROS topics as fingertip_pressure package for simulated PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
